Bug 468773 - Non-working radeon driver on macbook pro with nomodeset
Non-working radeon driver on macbook pro with nomodeset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
: 502276 507340 (view as bug list)
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-27 18:08 EDT by Jeremy Katz
Modified: 2009-12-18 01:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:40:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (18.35 KB, text/plain)
2009-09-26 14:06 EDT, Alexey Kuznetsov
no flags Details
dmesg (54.83 KB, text/plain)
2009-09-26 14:07 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Jeremy Katz 2008-10-27 18:08:36 EDT
When booting with nomodeset, I get the following in Xorg.0.log (sorry it's not the full log, the box crashed because I accidentally pulled the usb key out and this is just what I have in my scrollback :)

This is with today's rawhide on an 01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]


(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
        compiled for 1.5.2, module version = 0.1.0
        ABI class: X.Org Video Driver, version 4.1
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
(WW) RADEON(0): R500 support is under development. Please report any issues to x
org-driver-ati@lists.x.org

(--) RADEON(0): Linear framebuffer at 0x0000000080000000
(II) RADEON(0): PCIE card detected
(II) Loading sub module "int10"
(II) LoadModule: "int10"

(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
        compiled for 1.5.2, module version = 1.0.0
        ABI class: X.Org Video Driver, version 4.1
(II) RADEON(0): initializing int10
(EE) RADEON(0): V_BIOS address 0x0 out of range
(II) RADEON(0): Attempting to read un-POSTed bios
(WW) RADEON(0): Unrecognized BIOS signature, BIOS data will not be used
(II) UnloadModule: "radeon"
(II) UnloadModule: "int10"
(II) Unloading /usr/lib/xorg/modules//libint10.so
(II) UnloadModule: "vgahw"
(II) Unloading /usr/lib/xorg/modules//libvgahw.so
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found
Comment 1 Bug Zapper 2008-11-25 23:19:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2009-06-22 12:14:14 EDT
*** Bug 502276 has been marked as a duplicate of this bug. ***
Comment 3 Matěj Cepl 2009-06-22 12:14:22 EDT
*** Bug 507340 has been marked as a duplicate of this bug. ***
Comment 5 Tom "spot" Callaway 2009-09-14 12:06:30 EDT
FWIW, I inherited this bug, but do not have the hardware to confirm any fixes or do any testing.
Comment 6 Alexey Kuznetsov 2009-09-14 12:14:41 EDT
by normal boot process -ati start to work.

but when you use efi (and usb flash to boot) it still wont work, same error.
Comment 7 Alexey Kuznetsov 2009-09-26 14:06:50 EDT
Created attachment 362770 [details]
Xorg.0.log

f12-snap3 iso (with last updates)
Comment 8 Alexey Kuznetsov 2009-09-26 14:07:11 EDT
Created attachment 362771 [details]
dmesg

f12-snap3 iso (with last updates)
Comment 9 Alexey Kuznetsov 2009-09-26 14:14:04 EDT
i wana write some explanations.

Here is several methods to boot fedora on macbook pro notebooks. Each way is case of several options of boot process. Like: boot system (refit /  alt key on boot), boot loader (EFI/BIOS), USB/HDD storage boot, grub fedora/grub2, and finally KMS/nomodset flag.

I did create some table with those options and f12-snap3 livecd.

refit / efi / usb / fedora grub / kms = grub screen never disapers (despite kernel continue booting, i can hear udev sound card initialization noise)

refit / efi / usb / fedora grub / nomodeset = same as first one

refit / efi / usb / grub2 / kms = broken screen after kernel load

refit / efi / usb / grub2 / nomodeset = boot, but with V_BIOS error from X server

refit / bios / usb = allways macbook pro usb boot restriction (blame apple)

refit / bios / hdd = always boot with kms/nomodeset flags.
Comment 10 Bug Zapper 2009-11-18 03:39:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:40:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.